> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaultcord.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add verification password

> (Optional) Add a password to verification page to prevent unknown members accessing your server.



## OpenAPI

````yaml put /servers/{serverId}/passwords
openapi: 3.0.0
info:
  description: VaultCord public API for developers to access resources
  version: 1.0.0
  title: VaultCord Developers API
  x-logo:
    url: https://cdn.vaultcord.com/logo.png
    backgroundColor: '#FFFFFF'
    altText: VaultCord logo
    href: https://vaultcord.com
servers:
  - description: VaultCord Developers API endpoint
    url: https://api.vaultcord.com
security:
  - bearerAuth: []
tags:
  - name: Servers
    description: Servers endpoints
  - name: Bots
    description: Bot endpoints
  - name: Backups
    description: Backup endpoints
  - name: Members
    description: Member endpoints
  - name: Alerts
    description: Alert endpoints
  - name: Whites
    description: Whitelist endpoints
paths:
  /servers/{serverId}/passwords:
    put:
      tags:
        - Password
        - Invite Code
        - Access Code
        - Password Protection
        - Lock
      description: >-
        (Optional) Add a password to verification page to prevent unknown
        members accessing your server.
      operationId: addPassword
      parameters:
        - $ref: '#/components/parameters/serverId'
      requestBody:
        description: >-
          The new password you would like added to your verify page (send this
          request several times to add many passwords. It could be used to
          create "password invite codes" you sell through a monetization
          platform like Patreon)
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                password:
                  type: string
                  description: >-
                    A verification password. There are no restrictions, it can
                    be all numbers or text. Make it as long or as short as you
                    prefer (if you have 500+ members, password should be 13+
                    bytes long for bruteforce protection)
                  example: Q1mo99_+2=h@7fQg%YY}YtFUJ*
      responses:
        '200':
          $ref: '#/components/responses/passwordAdded'
        '401':
          $ref: '#/components/responses/401'
components:
  parameters:
    serverId:
      in: path
      name: serverId
      schema:
        type: integer
      required: true
      example: 12
      description: ID of the VaultCord server
  responses:
    '401':
      description: >-
        API key invalid, please generate a new one from
        dash.vaultcord.com/developers
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                example: 'New login required #2'
    passwordAdded:
      description: >-
        Password has been added. You can add unlimited passwords to your
        server's verification.
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: true
              message:
                type: string
                example: Added password to verification.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````